#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xkeyboard-config
Version		:	2.41
Release		:	17.2.0.rel%{?dist}
Summary		:	XKB data
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://cgit.freedesktop.org/xkeyboard-config
#https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/tags

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gettext
BuildRequires	:	libxslt
BuildRequires	:	meson
BuildRequires	:	python3-pytest
BuildRequires	:	xkbcomp
BuildRequires	:	XML-Parser
BuildRequires	:	xorgproto
BuildRequires	:	xorg-util-macros

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
The X Keyboard (XKB) Extension essentially replaces the core protocol
definition of a keyboard. The extension makes it possible to specify
clearly and explicitly most aspects of keyboard behaviour on a per-key
basis, and to track more closely the logical and physical state of a
keyboard. It also includes a number of keyboard controls designed to
make keyboards more accessible to people with physical impairments.

There are five components that define a complete keyboard mapping:
symbols, geometry, keycodes, compat, and types; these five components
can be combined together using the 'rules' component of the database
provided by this project, xkeyboard-config.

The complete specification for the XKB Extension can be found here:

http://xfree86.org/current/XKBproto.pdf

#-----------------------------------------------------------------------------
%files			 -f files.list -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README
%{_datadir}/X11/xkb/rules/xorg
%{_datadir}/X11/xkb/rules/xorg.lst
%{_datadir}/X11/xkb/rules/xorg.xml
%{_datadir}/pkgconfig/%{name}.pc
%{_mandir}/man7/*.7.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

sed -i							\
  -E 's/(ln -s)/\1f/'					\
  rules/meson.build

meson	setup						\
	$XORG_CONFIG					\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D xkb-base="%{_datadir}/X11/xkb"		\
	-D compat-rules=true				\
	-D xorg-rules-symlinks=true			\
	_build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-C _build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
meson test -C _build --print-errorlogs

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C _build					\
	install

{
   FILESLIST=${PWD}/files.list
   pushd %{buildroot}
   find .%{_datadir}/X11/xkb -type d | sed -e "s/^\./%dir /g" > $FILESLIST
   find .%{_datadir}/X11/xkb -type f | sed -e "s/^\.//g" >> $FILESLIST
   popd
}

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
